/**
 * @package xbeemicrolib
 * @filename xbee_conf.h
 * 
 * @author ysuga (ysuga.net)
 * @copyright ysuga.net 2011 allrights reserved
 * @license GPL
 */

#ifndef XBEE_CONF_HEADER_INCLUDED
#define XBEE_CONF_HEADER_INCLUDED

/*********************************/
/* This section is XBee firmware */
/* This is not implemented yet.  */
/*********************************/
#define XBEE_COORDINATOR 
//#define XBEE_ROUTER
//#define XBEE_ENDDEVICE


/************************************/
/* XBEE CHANNEL SCAN MASK           */
/************************************/
#define XBEE_CHANNEL11 0x01
#define XBEE_CHANNEL12 0x02
#define XBEE_CHANNEL13 0x04
#define XBEE_CHANNEL14 0x08
#define XBEE_CHANNEL15 0x10
#define XBEE_CHANNEL16 0x20
#define XBEE_CHANNEL17 0x40
#define XBEE_CHANNEL18 0x80
#define XBEE_CHANNEL19 0x01
#define XBEE_CHANNEL20 0x02
#define XBEE_CHANNEL21 0x04
#define XBEE_CHANNEL22 0x08
#define XBEE_CHANNEL23 0x10
#define XBEE_CHANNEL24 0x20
#define XBEE_CHANNEL25 0x40
#define XBEE_CHANNEL26 0x80
/************************************/
/* XBEE CHANNEL SCAN MASK           */
/* UNCOMMENT CHANNEL YOU DO NOT USE */
/************************************/
const unsigned char scan_channel_mask[2] = {
	XBEE_CHANNEL26 |
	XBEE_CHANNEL25 |
	XBEE_CHANNEL24 |
	XBEE_CHANNEL23 |
	XBEE_CHANNEL22 |
	XBEE_CHANNEL21 |
	XBEE_CHANNEL20 |
	XBEE_CHANNEL19
	,
	XBEE_CHANNEL18 |
	XBEE_CHANNEL17 |
	XBEE_CHANNEL16 |
	XBEE_CHANNEL15 |
	XBEE_CHANNEL14 |
	XBEE_CHANNEL13 |
	XBEE_CHANNEL12 |
	XBEE_CHANNEL11
};

/************************************/
/* NETWORK ID (16bit) 0x00 - 0xFFFE */
/* if coordinator, this is zero.    */
/*  not writable.                   */
/************************************/
const char pan64bitID[] =
{
	0, 0, 0, 0, 0, 0, 0x02, 0x34,
};

/**********************************/
/* AP (escaped code)              */
/* This must be 2 (do not change) */
/**********************************/
const char AP = 2;


/*************************************/
/* Network Identifier String         */
/* Network Identifier can be used to */
/* resolve network address.          */
/*************************************/
const char NI_STRING_LENGTH = 9; // This value should include null character.
const char* networkIdentifierString = "ENDDEVICE";


#endif //#ifndef XBEE_CONF_HEADER_INCLUDED
